# Enum Class TaskDelegationState

java.lang.Object
java.lang.Enum<TaskDelegationState>
com.independentsoft.pst.TaskDelegationState

All Implemented Interfaces:
  `Serializable`, `Comparable<TaskDelegationState>`, `Constable`

public enum TaskDelegationState extends Enum<TaskDelegationState>
Represents the status types of a delegated task.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCEPTED`
  Specifies that the task has been accepted.
  `DECLINED`
  Specifies that the task has been declined.
  `NO_MATCH`
  No match.
  `NONE`
  None.
  `OWN_NEW`
  Own new.
  `OWNED`
  Owned.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TaskDelegationState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TaskDelegationState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NO_MATCH

    public static final TaskDelegationState NO_MATCH
    No match.

  - ### OWN_NEW

    public static final TaskDelegationState OWN_NEW
    Own new.

  - ### OWNED

    public static final TaskDelegationState OWNED
    Owned.

  - ### ACCEPTED

    public static final TaskDelegationState ACCEPTED
    Specifies that the task has been accepted.

  - ### DECLINED

    public static final TaskDelegationState DECLINED
    Specifies that the task has been declined.

  - ### NONE

    public static final TaskDelegationState NONE
    None.

- ## Method Details

  - ### values

    public static TaskDelegationState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TaskDelegationState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null